ptserver(8)

NAME
ptserver - Initializes the Protection Server

SYNOPSIS
ptserver << [-database <db path] >>> << [-p <number of processes] >>>
    [-rebuildDB] [-enable_peer_stats] [-enable_process_stats]
    [-help]

DESCRIPTION
The ptserver command initializes the Protection Server, which must run on every database server machine. In the conventional configuration, its binary file is located in the /usr/afs/bin directory on a file server machine.

The ptserver command is not normally issued at the command shell prompt, but rather placed into a database server machine's /usr/afs/local/BosConfig file with the bos create command. If it is ever issued at the command shell prompt, the issuer must be logged onto a file server machine as the local superuser root.

The Protection Server performs the following tasks:

•   Maintains the Protection Database, which contains entries for every user and group in the cell. Use the pts commands to administer the database.

•   Allocates AFS IDs for new user, machine and group entries and maps each ID to the corresponding name.

•   Generates a current protection subgroup (CPS) at the File Server's request. The CPS lists all groups to which a user or machine belongs.

This command does not use the syntax conventions of the AFS command suites. Provide the command name and all option names in full.

OPTIONS

-database <db path>
    Specifies the pathname of an alternate directory in which the Protection Database files reside. Provide the complete pathname, ending in the base filename to which the .DB0 and .DBSYS1 extensions are appended. For example, the appropriate value for the default database files is /usr/afs/db/prdb.

-p <number of processes>
    Sets the number of server lightweight processes (LWPs) to run. Provide a positive integer from the range 3 to 16. The default value is 3.

-rebuildDB
    Rebuilds the Protection Database at the beginning of Protection Server initialization. Use this argument only in consultation with AFS Development or Product Support.

-enable_peer_stats
    Activates the collection of Rx statistics and allocates memory for their storage. For each connection with a specific UDP port on another machine, a separate record is kept for each type of RPC (FetchFile, GetStatus, and so on) sent or received. To display or otherwise access the records, use the Rx Monitoring API.

-enable_process_stats
    Activates the collection of Rx statistics and allocates memory for their storage. A separate record is kept for each type of RPC (FetchFile, GetStatus, and so on) sent or received, aggregated over all connections to other machines. To display or otherwise access the records, use the Rx Monitoring API.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following bos create command creates a ptserver process on the machine fs3.abc.com. The command appears here on multiple lines only for legibility.

   % bos create -server fs3.abc.com -instance ptserver \
                -type simple -cmd /usr/afs/bin/ptserver

PRIVILEGE REQUIRED
The issuer must be logged in as the superuser root on a file server machine to issue the command at a command shell prompt. It is conventional instead to create and start the process by issuing the bos create command.

SEE ALSO
the BosConfig(5) manpage, the prdb.DB0(5) manpage, the bos_create(8) manpage, the bos_getlog(8) manpage, the pts(1) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.